# Auth UI Vue

![@nuxtbase/auth-ui-vue minzip package size](https://img.shields.io/bundlephobia/minzip/@nuxtbase/auth-ui-vue)
![@nuxtbase/auth-ui-vue package version](https://img.shields.io/npm/v/@nuxtbase/auth-ui-vue.svg?colorB=green)

> Pre-built auth ui widgets to get started in minutes.

## Preview

![Auth UI Vue](/public/preview.png)

## Introduction

`auth-ui-vue` is a prebuilt, customizable `Vue` component for authenticating users base on `supabase`

Customizable authentication UI component with custom themes and extensible styles to match your brand and aesthetic.

## Installation

To start using the library, install it in your project:

```bash
pnpm install @nuxtbase/auth-ui-vue
or
yarn add @nuxtbase/auth-ui-vue
```

## Usage

### For Vue 3

```html
<!-- App.vue -->
```

### For Nuxt 3

Define a nuxt plugin

```ts
// plugins/auth-ui-vue.client.ts
```

## Inspiration

- [@supabase/auth-ui-react](https://github.com/supabase/auth-ui) - Pre-built Auth UI for React.

## License

MIT [@xiaoluoboding](https://github.com/xiaoluoboding)
