import { Provider, SupabaseClient } from '@supabase/supabase-js';
import { I18nVariables, OtpType, ProviderScopes, ViewType } from '@supabase/auth-ui-shared';
import { Appearance } from './types';
declare const _default: import("vue").DefineComponent<{
    theme: {
        type: import("vue").PropType<string>;
        default: string;
    };
    appearance: {
        type: import("vue").PropType<Appearance>;
    };
    view: {
        type: import("vue").PropType<ViewType>;
        default: string;
    };
    dark: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    supabaseClient: {
        type: import("vue").PropType<SupabaseClient<any, "public", any>>;
        required: true;
    };
    redirectTo: {
        type: import("vue").PropType<string>;
    };
    magicLink: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    showLinks: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    additionalData: {
        type: import("vue").PropType<{
            [key: string]: any;
        }>;
    };
    providers: {
        type: import("vue").PropType<Provider[]>;
    };
    socialLayout: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        default: string;
    };
    providerScopes: {
        type: import("vue").PropType<Partial<ProviderScopes>>;
    };
    queryParams: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    onlyThirdPartyProviders: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    otpType: {
        type: import("vue").PropType<OtpType>;
        default: string;
    };
    localization: {
        type: import("vue").PropType<{
            variables?: I18nVariables | undefined;
        }>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: import("vue").PropType<string>;
        default: string;
    };
    appearance: {
        type: import("vue").PropType<Appearance>;
    };
    view: {
        type: import("vue").PropType<ViewType>;
        default: string;
    };
    dark: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    supabaseClient: {
        type: import("vue").PropType<SupabaseClient<any, "public", any>>;
        required: true;
    };
    redirectTo: {
        type: import("vue").PropType<string>;
    };
    magicLink: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    showLinks: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    additionalData: {
        type: import("vue").PropType<{
            [key: string]: any;
        }>;
    };
    providers: {
        type: import("vue").PropType<Provider[]>;
    };
    socialLayout: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        default: string;
    };
    providerScopes: {
        type: import("vue").PropType<Partial<ProviderScopes>>;
    };
    queryParams: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    onlyThirdPartyProviders: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    otpType: {
        type: import("vue").PropType<OtpType>;
        default: string;
    };
    localization: {
        type: import("vue").PropType<{
            variables?: I18nVariables | undefined;
        }>;
    };
}>>, {
    theme: string;
    view: ViewType;
    dark: boolean;
    magicLink: boolean;
    showLinks: boolean;
    socialLayout: "horizontal" | "vertical";
    onlyThirdPartyProviders: boolean;
    otpType: OtpType;
}, {}>;
export default _default;
