import { Provider, SupabaseClient } from '@supabase/supabase-js';
import { I18nVariables, ProviderScopes, SocialLayout } from '@supabase/auth-ui-shared';
import { Appearance } from '../types';
declare type RedirectTo = undefined | string;
export interface SocialAuthProps {
    supabaseClient: SupabaseClient;
    socialLayout?: SocialLayout;
    providers?: Provider[];
    providerScopes?: Partial<ProviderScopes>;
    queryParams?: {
        [key: string]: string;
    };
    redirectTo?: RedirectTo;
    onlyThirdPartyProviders?: boolean;
    view?: 'sign_in' | 'sign_up' | 'magic_link';
    i18n?: I18nVariables;
    appearance?: Appearance;
}
declare const _default: import("vue").DefineComponent<{
    appearance: {
        type: import("vue").PropType<Appearance>;
    };
    view: {
        type: import("vue").PropType<"sign_in" | "sign_up" | "magic_link">;
        default: string;
    };
    supabaseClient: {
        type: import("vue").PropType<SupabaseClient<any, "public", any>>;
        required: true;
    };
    redirectTo: {
        type: import("vue").PropType<string>;
    };
    i18n: {
        type: import("vue").PropType<I18nVariables>;
    };
    providers: {
        type: import("vue").PropType<Provider[]>;
        default: () => string[];
    };
    socialLayout: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        default: string;
    };
    providerScopes: {
        type: import("vue").PropType<Partial<ProviderScopes>>;
    };
    queryParams: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    onlyThirdPartyProviders: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    appearance: {
        type: import("vue").PropType<Appearance>;
    };
    view: {
        type: import("vue").PropType<"sign_in" | "sign_up" | "magic_link">;
        default: string;
    };
    supabaseClient: {
        type: import("vue").PropType<SupabaseClient<any, "public", any>>;
        required: true;
    };
    redirectTo: {
        type: import("vue").PropType<string>;
    };
    i18n: {
        type: import("vue").PropType<I18nVariables>;
    };
    providers: {
        type: import("vue").PropType<Provider[]>;
        default: () => string[];
    };
    socialLayout: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        default: string;
    };
    providerScopes: {
        type: import("vue").PropType<Partial<ProviderScopes>>;
    };
    queryParams: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    onlyThirdPartyProviders: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
}>>, {
    view: "sign_in" | "sign_up" | "magic_link";
    providers: Provider[];
    socialLayout: "horizontal" | "vertical";
    onlyThirdPartyProviders: boolean;
}, {}>;
export default _default;
